请选择 进入手机版 | 继续访问电脑版
Mozilla

火狐社区

登录    注册

QQ互联

[兼容性] 52.3esr版不能调用打印机。

今朝踏火行歌 社区新人 发表于 2021-2-7 17:13:50 | 显示全部楼层 [复制链接]
4 3309
52.3esr版,iframe调用window. print()报错。不能打印。项目涉密浏览器不能升级。该怎么办。
xuyuehang 千年狐妖
发表于 2021-2-18 10:47:45 | 显示全部楼层
理论上这个代码是可以使用的,报错是什么
有一些情况表明,页面加载和等待时间可能有影响,试试
setTimeout(
    function() {
        window.print();
    }, 100);
今朝踏火行歌 社区新人
发表于 2021-2-18 17:55:05 火狐社区移动版 | 显示全部楼层
Error: Permission denied to access property "print"应该不是页面加载的问题。点击打印按钮时,页面加载很久了。
xuyuehang 千年狐妖
发表于 2021-2-19 14:17:59 | 显示全部楼层
应该是这个问题https://bugzilla.mozilla.org/show_bug.cgi?id=911444
https://stackoverflow.com/questi ... object-in-iframe-in
在75得到修复,或者需要修改查看器代码
今朝踏火行歌 社区新人
发表于 2021-2-23 21:17:17 | 显示全部楼层
解决办法:
   使用pdfjs预览(将参数传入viewer.htm?file=url,url为pdf的路径)这个能看到就是对的了。
   使用$('#iframe').contents().find('#print').click()进行打印。
原理:火狐52.3esr对跨域文件的打印有BUG,使用pdfjs进行预览,打印则是调用的这个预览器的函数。
还不懂 企鹅 1692165370 注明来意。
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表